/*
 * Copyright 2022 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

#define BOARD_INITPINSM2_IOMUXC_GPR_GPR26_GPIO_MUX1_GPIO_SEL_MASK 0x040000U /*!< GPIO1 and GPIO6 share same IO MUX function, GPIO_MUX1 selects one GPIO function: affected bits mask */
#define BOARD_INITPINSM2_IOMUXC_GPR_GPR28_GPIO_MUX3_GPIO_SEL_MASK 0x14U /*!< GPIO3 and GPIO8 share same IO MUX function, GPIO_MUX3 selects one GPIO function: affected bits mask */

/* GPIO_AD_B1_02 (coord K11), SDIO0_SD1_SEL */
/* Routed pin properties */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_PERIPHERAL                          GPIO1   /*!< Peripheral name */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_SIGNAL                            gpio_io   /*!< Signal name */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_CHANNEL                               18U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_GPIO                                GPIO1   /*!< GPIO peripheral base pointer */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_GPIO_PIN                              18U   /*!< GPIO pin number */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_GPIO_PIN_MASK                 (1U << 18U)   /*!< GPIO pin mask */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_PORT                                GPIO1   /*!< PORT peripheral base pointer */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_PIN                                   18U   /*!< PORT pin number */
#define BOARD_INITPINSM2_SDIO0_SD1_SEL_PIN_MASK                      (1U << 18U)   /*!< PORT pin mask */

/* GPIO_SD_B1_04 (coord N2), SDIO_RST */
/* Routed pin properties */
#define BOARD_INITPINSM2_SDIO_RST_PERIPHERAL                               GPIO3   /*!< Peripheral name */
#define BOARD_INITPINSM2_SDIO_RST_SIGNAL                                 gpio_io   /*!< Signal name */
#define BOARD_INITPINSM2_SDIO_RST_CHANNEL                                     4U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINSM2_SDIO_RST_GPIO                                     GPIO3   /*!< GPIO peripheral base pointer */
#define BOARD_INITPINSM2_SDIO_RST_GPIO_PIN                                    4U   /*!< GPIO pin number */
#define BOARD_INITPINSM2_SDIO_RST_GPIO_PIN_MASK                       (1U << 4U)   /*!< GPIO pin mask */
#define BOARD_INITPINSM2_SDIO_RST_PORT                                     GPIO3   /*!< PORT peripheral base pointer */
#define BOARD_INITPINSM2_SDIO_RST_PIN                                         4U   /*!< PORT pin number */
#define BOARD_INITPINSM2_SDIO_RST_PIN_MASK                            (1U << 4U)   /*!< PORT pin mask */

/* GPIO_SD_B1_02 (coord K5), WL_RST */
/* Routed pin properties */
#define BOARD_INITPINSM2_WL_RST_PERIPHERAL                                 GPIO3   /*!< Peripheral name */
#define BOARD_INITPINSM2_WL_RST_SIGNAL                                   gpio_io   /*!< Signal name */
#define BOARD_INITPINSM2_WL_RST_CHANNEL                                       2U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINSM2_WL_RST_GPIO                                       GPIO3   /*!< GPIO peripheral base pointer */
#define BOARD_INITPINSM2_WL_RST_GPIO_PIN                                      2U   /*!< GPIO pin number */
#define BOARD_INITPINSM2_WL_RST_GPIO_PIN_MASK                         (1U << 2U)   /*!< GPIO pin mask */
#define BOARD_INITPINSM2_WL_RST_PORT                                       GPIO3   /*!< PORT peripheral base pointer */
#define BOARD_INITPINSM2_WL_RST_PIN                                           2U   /*!< PORT pin number */
#define BOARD_INITPINSM2_WL_RST_PIN_MASK                              (1U << 2U)   /*!< PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPinsM2(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitArduinoUARTPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitFlexspiPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
